# Uses of Class
org.apache.lucene.geo.Polygon

Packages that use Polygon
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.geo
Core geo-spatial types and utilities for handling geographical data and spatial operations in Lucene.

- ## Uses of Polygon in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type Polygon
  Modifier and Type
  Method
  Description
  `static LatLonShapeDocValuesField`
  LatLonShape.`createDocValueField(String fieldName, Polygon polygon)`
  create doc value field for lat lon polygon geometry without creating indexable fields
  `static LatLonShapeDocValuesField`
  LatLonShape.`createDocValueField(String fieldName, Polygon polygon, boolean checkSelfIntersections)`
  create doc value field for lat lon polygon geometry without creating indexable fields.
  `static Field[]`
  LatLonShape.`createIndexableFields(String fieldName, Polygon polygon)`
  create indexable fields for polygon geometry.
  `static Field[]`
  LatLonShape.`createIndexableFields(String fieldName, Polygon polygon, boolean checkSelfIntersections)`
  create indexable fields for polygon geometry.
  `static Query`
  LatLonPoint.`newPolygonQuery(String field, Polygon... polygons)`
  Create a query for matching one or more polygons.
  `static Query`
  LatLonShape.`newPolygonQuery(String field, ShapeField.QueryRelation queryRelation, Polygon... polygons)`
  create a query to find all indexed geo shapes that intersect a provided polygon (or array of polygons) note: does not support dateline crossing
  `static Query`
  LatLonDocValuesField.`newSlowPolygonQuery(String field, Polygon... polygons)`
  Create a query for matching points within the supplied polygons.

- ## Uses of Polygon in org.apache.lucene.geo

  Methods in org.apache.lucene.geo that return Polygon
  Modifier and Type
  Method
  Description
  `static Polygon[]`
  Polygon.`fromGeoJSON(String geojson)`
  Parses a standard GeoJSON polygon string.
  `Polygon[]`
  Polygon.`getHoles()`
  Returns a copy of the internal holes array
  Methods in org.apache.lucene.geo with parameters of type Polygon
  Modifier and Type
  Method
  Description
  `static Rectangle`
  Rectangle.`fromPolygon(Polygon[] polygons)`
  Returns the bounding box over an array of polygons
  `static List<Tessellator.Triangle>`
  Tessellator.`tessellate(Polygon polygon, boolean checkSelfIntersections)`
  `static List<Tessellator.Triangle>`
  Tessellator.`tessellate(Polygon polygon, boolean checkSelfIntersections, Tessellator.Monitor monitor)`
  Constructors in org.apache.lucene.geo with parameters of type Polygon
  Modifier
  Constructor
  Description
  ``
  `Polygon(double[] polyLats, double[] polyLons, Polygon... holes)`
  Creates a new Polygon from the supplied latitude/longitude array, and optionally any holes.